description

# TouchEvent class Null safety

Inheritance
  - Object
  - Event
  - UIEvent
  - TouchEvent
Annotations
  - @Native("TouchEvent")

## Constructors

TouchEvent(String type, [Map? eventInitDict])
  factory

## Properties

altKey → bool?
  read-only
bubbles → bool?
  read-only, inherited
cancelable → bool?
  read-only, inherited
changedTouches → TouchList?
  read-only
composed → bool?
  read-only, inherited
ctrlKey → bool?
  read-only
currentTarget → EventTarget?
  read-only, inherited
defaultPrevented → bool
  read-only, inherited
detail → int?
  read-only, inherited
eventPhase → int
  read-only, inherited
hashCode → int
  The hash code for this object. [...]
  read-only, inherited
isTrusted → bool?
  read-only, inherited
matchingTarget → Element
  A pointer to the element whose CSS selector matched within which an event was fired. If this Event was not associated with any Event delegation, accessing this value will throw an UnsupportedError.
  read-only, inherited
metaKey → bool?
  read-only
path → List<EventTarget>
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited
shiftKey → bool?
  read-only
sourceCapabilities → InputDeviceCapabilities?
  read-only, inherited
target → EventTarget?
  read-only, inherited
targetTouches → TouchList?
  read-only
timeStamp → num?
  read-only, inherited
touches → TouchList?
  read-only
type → String
  read-only, inherited
view → WindowBase?
  read-only, inherited

## Methods

composedPath() → List<EventTarget>
  inherited
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
preventDefault() → void
  inherited
stopImmediatePropagation() → void
  inherited
stopPropagation() → void
  inherited
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited

## Static Properties

supported → bool
  Checks if touch events supported on the current platform.
  read-only